CopyableDataFrameAsyncActor (Snowpark Java API Reference 1.19.1)

Package com.snowflake.snowpark_java

## Class CopyableDataFrameAsyncActor

- java.lang.Object
- - com.snowflake.snowpark_java.DataFrameAsyncActor
  - - com.snowflake.snowpark_java.CopyableDataFrameAsyncActor

-     public class CopyableDataFrameAsyncActor
      extends DataFrameAsyncActor

  Provides APIs to execute CopyableDataFrame actions asynchronously.
  Since:
    1.2.0

- - ### Field Summary

    - ### Fields inherited from class com.snowflake.snowpark_java.DataFrameAsyncActor

      `session`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypedAsyncJob<java.lang.Void>` | `copyInto​(java.lang.String tableName)` | Executes `CopyableDataFrame.copyInto` asynchronously.
    `TypedAsyncJob<java.lang.Void>` | `copyInto​(java.lang.String tableName, Column[] transformations)` | Executes `CopyableDataFrame.copyInto` asynchronously.
    `TypedAsyncJob<java.lang.Void>` | `copyInto​(java.lang.String tableName, Column[] transformations, java.util.Map<java.lang.String,​?> options)` | Executes `CopyableDataFrame.copyInto` asynchronously.
    `TypedAsyncJob<java.lang.Void>` | `copyInto​(java.lang.String tableName, java.lang.String[] targetColumnNames, Column[] transformations, java.util.Map<java.lang.String,​?> options)` | Executes `CopyableDataFrame.copyInto` asynchronously.

    - ### Methods inherited from class com.snowflake.snowpark_java.DataFrameAsyncActor

      `collect, count, toLocalIterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### copyInto

          public TypedAsyncJob<java.lang.Void> copyInto​(java.lang.String tableName)

      Executes `CopyableDataFrame.copyInto` asynchronously.
      Parameters:
        `tableName` - Name of the table where the data should be saved.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### copyInto

          public TypedAsyncJob<java.lang.Void> copyInto​(java.lang.String tableName,
                                                        Column[] transformations)

      Executes `CopyableDataFrame.copyInto` asynchronously.
      Parameters:
        `tableName` - Name of the table where the data should be saved.
        `transformations` - Seq of Column expressions that specify the transformations to apply (similar to transformation parameters).
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### copyInto

          public TypedAsyncJob<java.lang.Void> copyInto​(java.lang.String tableName,
                                                        Column[] transformations,
                                                        java.util.Map<java.lang.String,​?> options)

      Executes `CopyableDataFrame.copyInto` asynchronously.
      Parameters:
        `tableName` - Name of the table where the data should be saved.
        `transformations` - Seq of Column expressions that specify the transformations to apply (similar to transformation parameters).
        `options` - Map of the names of options (e.g. `compression`, `skip_header`, etc.) and their corresponding values.NOTE: By default, the `CopyableDataFrame` object uses the options set in the DataFrameReader used to create that object. You can use this `options` parameter to override the default options or set additional options.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### copyInto

          public TypedAsyncJob<java.lang.Void> copyInto​(java.lang.String tableName,
                                                        java.lang.String[] targetColumnNames,
                                                        Column[] transformations,
                                                        java.util.Map<java.lang.String,​?> options)

      Executes `CopyableDataFrame.copyInto` asynchronously.
      Parameters:
        `tableName` - Name of the table where the data should be saved.
        `targetColumnNames` - Name of the columns in the table where the data should be saved.
        `transformations` - Seq of Column expressions that specify the transformations to apply (similar to transformation parameters).
        `options` - Map of the names of options (e.g. `compression`, `skip_header`, etc.) and their corresponding values.NOTE: By default, the `CopyableDataFrame` object uses the options set in the DataFrameReader used to create that object. You can use this `options` parameter to override the default options or set additional options.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0